package server.logic.ws_protocol.JSON.messages.entyties;

import server.logic.ws_protocol.JSON.entyties.Net_Response;

public class Net_SendMessagePair_Response extends Net_Response {
    private String baseKey;
    private String incomingKey;
    private String outgoingKey;
    private int deliveredWsSessions;
    private int deliveredWebPushSessions;

    public String getBaseKey() { return baseKey; }
    public void setBaseKey(String baseKey) { this.baseKey = baseKey; }
    public String getIncomingKey() { return incomingKey; }
    public void setIncomingKey(String incomingKey) { this.incomingKey = incomingKey; }
    public String getOutgoingKey() { return outgoingKey; }
    public void setOutgoingKey(String outgoingKey) { this.outgoingKey = outgoingKey; }
    public int getDeliveredWsSessions() { return deliveredWsSessions; }
    public void setDeliveredWsSessions(int deliveredWsSessions) { this.deliveredWsSessions = deliveredWsSessions; }
    public int getDeliveredWebPushSessions() { return deliveredWebPushSessions; }
    public void setDeliveredWebPushSessions(int deliveredWebPushSessions) { this.deliveredWebPushSessions = deliveredWebPushSessions; }
}
